const dbpessoas =  _db.query(`
select pessoa.nome, sobrenome, pessoa.id, cidade.nome cidade
from pessoa
inner join cidade on pessoa.cidade_id=cidade_id`
)

const dados = _val.list()

for(const dbpessoa of dbpessoas){
    const dbcomunidades = _db.query(`
        select * from pessoa_comunidade
        inner join comunidade on pessoa_comunidade.comunidade_id=comunidade.id
        where pessoa_id=?
    `, dbpessoa.get("id"))
    const dadoscomunidades = _val.list()
    for(const dbcomunidade of dbcomunidades){
        dadoscomunidades.add(
            dbcomunidade.getString("nome")
        )
    } _log.info("dbcomunidades" + dbcomunidades.size())
    console.log()
    dados.add(
        _val.map()
        .set("nome", dbpessoa.get("nome"))
        .set("sobrenome", dbpessoa.get("sobrenome"))
        .set("cidade", dbpessoa.get("cidade"))
        .set("comunidades", dadoscomunidades)
        .set("comunidade", _db.query(`
        select comunidade.nome from pessoa_comunidade
        inner join comunidade on pessoa_comunidade.comunidade_id=comunidade.id
        where pessoa_id=?
    `, dbpessoa.get("id")))
    )
}

_out.json(
    dados
)

